#######################################################################
#          Licensed Materials - Property of IBM                       #
#          "Restricted Materials of IBM"                              #
#          5748-T15                                                   #
#          Copyright IBM Corp. 2006, 2021                             #
#          All Rights Reserved                                        #
#          US Government Users Restricted Rights - Use, duplication   #
#          or disclosure restricted by GSA ADP Schedule Contract      #
#          with IBM Corp.                                             #
#######################################################################
#  This file is provided on an "as is" basis.  There are no           #
#  warranties, express or implied, including the implied warranties   #
#  of merchantability and fitness for a particular purpose.           #
#  IBM has no obligation to provide service, defect correction, or    #
#  any maintenance for the file.  IBM has no obligation to supply     #
#  any updates or enhancements for the file to you even if such are   #
#  or later become available.                                         #
#######################################################################
#  Change History                                                     #
#  DEFECT  DATE      DESCRIPTION                                      #
#  d26725  09/29/21  Create z/TPF MQ DevOps Test Cases                #
#                                                                     #
#                                                                     #
#######################################################################
#                                                                     #
#  MAKEFILE NAME.....  qmqz.mak                                       #
#                                                                     #
#  DESCRIPTION.....  Make file for MQ Driver                          #
#                                                                     #
#######################################################################

#######################################################################
# Define shared object name
#######################################################################

APP := QMQZ
APP_ENTRY := QMQZ
APP_EXPORT := ENTRY

TPF_DRIVER := mqs1

#######################################################################
# External LIB References
#######################################################################

LIBS := CMQS CZCM

#######################################################################
# Look to cmqs.mak for an explanation of why we use the offsetof flag.
#######################################################################

CXXFLAGS_QMQZ := -Wno-invalid-offsetof

#######################################################################
# Environments needed for build
#######################################################################

maketpf_env := drvs
maketpf_env += base_rt
maketpf_env += idevops                                                          #d26725

#######################################################################
# CPP Source
#######################################################################

CXX_SRC := qmqz.cpp
CXX_SRC += qmqz01.cpp
CXX_SRC += qmqz02.cpp
CXX_SRC += qmqz03.cpp
CXX_SRC += qmqz04.cpp
CXX_SRC += qmqz05.cpp
CXX_SRC += qmqz06.cpp
CXX_SRC += qmqz07.cpp

#######################################################################
# Include maketpf build rules
#######################################################################

include maketpf.rules
